@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700&display=swap');

/* Universal css*/
* {
    margin: 0;
    padding: 0;
    box-sizing:border-box;
    font-family: Roboto,sans-serif;
}
:root {
    --primary: #1d2a63;
    --secondary:  #ffffff;  
    --contrast: #43469b;
    --contrastplus: #36387c;
    --white: #ffffff;  
}

/* Text colors */
.c-primary {
    color: var(--primary);
}
.c-secondary {
    color: var(--secondary);
}
.c-contrast {
    color: var(--contrast);
}
.c-white {
    color: var(--white);
}
/* Text colors */

/* Extras */
.bold {
    font-weight: 600;
}
/* Extras */

body {
    background-color: #d9d9d9; 
}
header {

}

.head {
    height: 100px;
}
.navegacion {
    background-color: var(--primary);
    color: var(--white);
    border-radius: 3px;
}
.navegacion ul {
    background-color: var(--primary);
    color: var(--white);
    list-style: none;
    gap: 10px;
    margin: 0;
    padding: 20px;
    border-radius: 3px;
}

.navegacion ul li a{
    display: block;
    padding: 10px;
    color: white;
    text-decoration: none;
    text-transform: uppercase;
}
.navegacion ul li a:hover{
    text-decoration: none;
    text-transform: uppercase;
    text-decoration: underline;
    color: #dadada;
}
.navegacion ul li:hover{
    background-color: rgba(0, 0, 0, 0.219);
}
.tienda {
    text-decoration: none;
    color: white;
    background-color: var(--contrast);
    text-align: center;
    display: flex;
    border-radius: 3px;
    margin-right: 10px;
}
.tienda a{
    text-decoration: none;
    color: white;
    padding: 18px 10px;
    transition: .2s;
}
.tienda a:hover{
    background-color: var(--contrastplus);
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px;
}

.info-contacto .direccion {
    background-image: url(../img/iconos/location.png);
    background-size: 30px;
    background-repeat: no-repeat;
    background-position: 5px;
    padding-left: 50px;
    margin-right: 20px;
}

.info-contacto .email {
    background-image: url(../img/iconos/email.png);
    background-size: 30px;
    background-repeat: no-repeat;
    background-position: 5px;
    padding-left: 50px;
    margin-right: 20px;
}

.info-contacto .telefono {
    background-image: url(../img/iconos/phone.png);
    background-size: 30px;
    background-repeat: no-repeat;
    background-position: 5px;
    padding-left: 50px;  
    margin-right: 20px; 
}

.logo  h1{
    margin-top: 20px;
    margin-left: 10px;
    margin-bottom: 0;
    font-size: 2rem;
}
.logo span{
    font-size: 1rem;
    margin-left: 10px;
}
.inicio {
    margin-top: 20px;
    background-image: url(../img/local.jpg);
    background-repeat: no-repeat;
    height: 500px;
    background-size: cover;
    background-position: center;
    /*
    border: 5px solid var(--contrast);
    border-radius: 3px;¨
    */
}

.servicios h2,
.imagenes h2,
.sobre-nosotros h2,
.contacto h2,
.empresas_con_nosotros h2,
.compra-venta-herramientas h2 {
    font-size: 1.3rem;
    background-color: var(--primary);
    color: var(--white);
    border-radius: 3px;
    text-transform: uppercase;
    padding: 5px;
    padding-left: 20px;
}


input[type="text"], textarea, input[type="submit"] {
    border: 1px solid var(--primary);
    padding: 4px;
}
input[type="submit"] {
    background-color: var(--primary);
    color: var(--white);
    font-size: 1.2rem;
    transition: .2s;
}
input[type="submit"]:hover {
    background-color: var(--contrastplus);
    color: var(--white);
    font-size: 1.2rem;

}
iframe {
    width: 100%;
    height: 445px;
}

.map h3 {
    text-align: center;
    background-color: var(--primary);
    color: white;
    margin: 20px 0px;
    padding: 3px;
    text-transform: uppercase;
    font-size: 1.2rem;
}

footer {
    height: 100px;
    height: 100%;

    margin: 10px;
    padding: 0;
    margin: 0;
}
footer > div {
    background-color: var(--primary);
}

.direccion {
    width: 250px;
    font-size: 0.9rem;
}

.gallery {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    grid-template-rows: repeat(5, 5vw);
    grid-gap: 15px;
}

.gallery__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    background-color: white;
    border: 2px solid #36387c6e;
    padding: 1px;
    text-align: center;
    border-radius: 4px;
}

.gallery__item--1 {
    grid-column-start: 1;
    grid-column-end: 3;
    grid-row-start: 1;
    grid-row-end: 3;
}

.gallery__item--2 {
    grid-column-start: 3;
    grid-column-end: 5;
    grid-row-start: 1;
    grid-row-end: 3;
}
.gallery__item--3 {
    grid-column-start: 5;
    grid-column-end: 9;
    grid-row-start: 1;
    grid-row-end: 6;
}
.gallery__item--4 {
    grid-column-start: 1;
    grid-column-end: 5;
    grid-row-start: 3;
    grid-row-end: 6;
}
.gallery__item--5 {
    grid-column-start: 1;
    grid-column-end: 5;
    grid-row-start: 6;
    grid-row-end: 9;
}
.gallery__item--6 {
    grid-column-start: 5;
    grid-column-end: 9;
    grid-row-start: 6;
    grid-row-end: 9;
}
.servicios {
    gap:20px;
    margin-bottom: 20px;
}
.servicio {
    background-color: white;
    border: 2px solid #36387c6e;
    padding: 10px;
    text-align: center;
    border-radius: 4px;
    min-height: 100%;
    margin-right: 10px
}

.servicios div p {
    max-width: 350px;
}

.servicio img {
    border-radius: 300px;
}

.nosotros {
    gap:20px;
    margin-bottom: 20px;
}
.nosotros > .caracteristica {
    background-color: white;
    border: 2px solid #36387c6e;
    padding: 10px;
    text-align: center;
    border-radius: 4px;
}
.caracteristica::before {
    content: '';
    position: absolute;
    margin-top: -12px;
    margin-left: -20px;
    width: 0;
    height: 0;
    border-left: 20px solid transparent;
    border-right: 20px solid transparent;
    border-top: 20px solid var(--contrast);
    clear: both;
}
.nosotros div p {
    max-width: 350px;
}

.caracteristica h3 {
    margin-top: 10px
}

.carrousel-card {
   width: 100%;
    margin: 50px 0px;
}
.carrousel-card > div{
    max-width: 400px;
    background-color: #0f0f0fad;
    padding: 50px;
    height: auto;
    border-radius: 3px;
    color: white;
    margin-right: 100px;
}



.productos {
    gap:20px;
    margin-bottom: 20px;
}
.productos > .producto {
    background-color: white;
    border: 2px solid #36387c6e;
    padding: 10px;
    text-align: center;
    border-radius: 4px;
}
.producto div p {
    max-width: 220px;
}

.producto img {
    border-radius: 10px;
}


.empresas_con_nosotros ul{
    margin: 0;
    padding: 0;
    list-style: none;
}



.herramientas {
    gap:20px;
    margin-bottom: 20px;
}
.herramientas > .herramienta {
    background-color: white;
    border: 2px solid #36387c6e;
    padding: 10px;
    text-align: center;
    border-radius: 4px;
}
.herramientas div p {
    max-width: 350px;
}
#email-enviado {
    display: none;
}
#email-enviado:target{
    display: block;
    color: white;
    background: #316731;
    border-radius: 2px;
    font-size: 1.2rem;
    text-align: center;
    padding: 20px;
}















/* Responsive system */

@media (min-width: 300px) { 
    .logo span {
        font-size: 0.92rem;
    }
}
@media (max-width: 576px) { 
    header {
        padding: 0!important;
    }
    .gallery__item--1 {
        grid-column-start: 1;
        grid-column-end: 5;
        grid-row-start: 1;
        grid-row-end: 5;
    }
    
    .gallery__item--2 {
        grid-column-start: 5;
        grid-column-end: 9;
        grid-row-start: 1;
        grid-row-end: 5;
    }

    .gallery__item--3 {
        grid-column-start: 1;
        grid-column-end: 5;
        grid-row-start: 5;
        grid-row-end: 9;
    }
    .gallery__item--4 {
        grid-column-start: 5;
        grid-column-end: 9;
        grid-row-start: 5;
        grid-row-end: 9;
    }

    .gallery__item--5 {
        grid-column-start: 1;
        grid-column-end: 5;
        grid-row-start: 9;
        grid-row-end: 9;
    }
    .gallery__item--6 {
        grid-column-start: 5;
        grid-column-end: 9;
        grid-row-start: 9;
        grid-row-end: 9;
    }
    .carrousel-card > div{
        max-width: 400px;
        background-color: #0f0f0fad;
        padding: 50px;
        height: auto;
        border-radius: 3px;
        color: white;
        margin-right: 50px;
    }
}
@media (max-width: 768px) { 
    .gallery__item--1 {
        grid-column-start: 1;
        grid-column-end: 5;
        grid-row-start: 1;
        grid-row-end: 5;
    }
    
    .gallery__item--2 {
        grid-column-start: 5;
        grid-column-end: 9;
        grid-row-start: 1;
        grid-row-end: 5;
    }

    .gallery__item--3 {
        grid-column-start: 1;
        grid-column-end: 5;
        grid-row-start: 5;
        grid-row-end: 9;
    }
    .gallery__item--4 {
        grid-column-start: 5;
        grid-column-end: 9;
        grid-row-start: 5;
        grid-row-end: 9;
    }

    .gallery__item--5 {
        grid-column-start: 1;
        grid-column-end: 5;
        grid-row-start: 9;
        grid-row-end: 9;
    }
    .gallery__item--6 {
        grid-column-start: 5;
        grid-column-end: 9;
        grid-row-start: 9;
        grid-row-end: 9;
    }
}
@media (min-width: 992px) { 


}
@media (min-width: 1200px) {

}
@media (min-width: 1400px) {

}

#lightbox-image, #lightbox-container-image-box {
    max-width: 600px;
    max-height: 600px;
    text-align: center;
}